using VeterinaryContracts.BindingModels;
using VeterinaryContracts.SearchModels;
using VeterinaryContracts.ViewModels;

namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IOwnerLogic
	{
		List<OwnerViewModel>? ReadList(OwnerSearchModel? model);
		OwnerViewModel? ReadElement(OwnerSearchModel model);
		bool Create(OwnerBindingModel model);
		bool Update(OwnerBindingModel model);
		bool Delete(OwnerBindingModel model);

	}
}
